Deposits

Create deposit

Use this method to submit deposit form.

POST
/api/v2/my/deposits

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Header Parameters

accept-language?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/my/deposits" \  -H "accept-language: ja" \  -H "Content-Type: application/json" \  -d '{    "methodId": 1,    "accountId": 1,    "currencyCode": 2005,    "amount": "100",    "data": "{\\"account\\": 1, \\"bank_code\\": 2205}"  }'
{  "invoice": "36f59381-5b54-48bd-a0c7-3b908c476732",  "type": "legacy",  "status": null,  "action": null,  "legacyAction": {    "action": "SUCCESSFUL",    "params": {}  }}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Forbidden"  }}
{  "errors": [    {      "name": "Error name",      "description": "Description",      "args": {}    }  ]}
{  "error": {    "message": "Too Many Requests"  }}
{  "error": {    "message": "Service Unavailable"  }}